org.fife.ui.rtextarea

## Class RDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.PlainDocument
    - - org.fife.ui.rtextarea.RDocument

All Implemented Interfaces:
  Serializable, Document

Direct Known Subclasses:
  RSyntaxDocument

    public class RDocument
    extends PlainDocument

The document implementation used by instances of `RTextArea`.

Version:
  1.0
Author:
  Robert Futrell
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

`AbstractDocument.AbstractElement, AbstractDocument.AttributeContext, AbstractDocument.BranchElement, AbstractDocument.Content, AbstractDocument.DefaultDocumentEvent, AbstractDocument.ElementEdit, AbstractDocument.LeafElement`

### Field Summary

### Fields inherited from class javax.swing.text.PlainDocument

`lineLimitAttribute, tabSizeAttribute`

### Fields inherited from class javax.swing.text.AbstractDocument

`BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

### Fields inherited from interface javax.swing.text.Document

`StreamDescriptionProperty, TitleProperty`

### Constructor Summary

Constructors
Constructor and Description
`RDocument()` Constructor.

### Method Summary

Methods
`char` `charAt(int offset)` Returns the character in the document at the specified offset.

### Methods inherited from class javax.swing.text.PlainDocument

`createDefaultRoot, getDefaultRootElement, getParagraphElement, insertString, insertUpdate, removeUpdate`

### Methods inherited from class javax.swing.text.AbstractDocument

`addDocumentListener, addUndoableEditListener, createBranchElement, createLeafElement, createPosition, dump, fireChangedUpdate, fireInsertUpdate, fireRemoveUpdate, fireUndoableEditUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeDocumentListener, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RDocument

    public RDocument()

Constructor.

### Method Detail

#### charAt

    public char charAt(int offset)
                throws BadLocationException

Returns the character in the document at the specified offset.

Parameters:
  `offset` - The offset of the character.
Returns:
  The character.
Throws:
  `BadLocationException` - If the offset is invalid.